Bug 197302 - [NEW PORT] devel/hs-ShellCheck - a shell script static analyzer
Summary: [NEW PORT] devel/hs-ShellCheck - a shell script static analyzer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-haskell mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-03 22:51 UTC by luca.pizzamiglio
Modified: 2015-02-15 21:52 UTC (History)
1 user (show)

See Also:


Attachments
The shar file, to create the new port (2.57 KB, application/x-shar)
2015-02-03 22:51 UTC, luca.pizzamiglio
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description luca.pizzamiglio 2015-02-03 22:51:15 UTC
Created attachment 152531 [details]
The shar file, to create the new port

This is a shell script static analyzer. It supports sh, bash, and so on.
It's written in Haskell.
Comment 1 Gabor Pali freebsd_committer 2015-02-06 07:28:48 UTC
Take, on behalf of haskell@.
Comment 2 Gabor Pali freebsd_committer 2015-02-12 22:07:03 UTC
I have reviewed the submitted port and I have reworked some parts of it.  You can find the resulting import to the development overlay at GitHub [1].  Highlights of my changes:

 - since the package is present on HackageDB, it is probably a better idea to
   grab the sources from there and use that for the port (that is how the
   other hs- ports are also done)

 - you do not have add the "cabal-install" package as a dependency -- that is
   just a frontend to the Cabal library which is shipped with GHC.  So the
   package will also build without cabal-install installed at all.

 - the "parsec" package was missing from the list of dependencies.

 - it is worth adding the actual long description of the Cabal package to
   pkg-descr, so it gives the user more information about the contents.

I will commit the fixed version shortly.

[1] https://github.com/freebsd-haskell/ports/commit/1d7d51b5610aa866f152ddd06d2a15ee9e638fc3
Comment 3 luca.pizzamiglio 2015-02-13 09:29:25 UTC
thanks for the review.
I agree all changes.

best regards,
pizzamig
Comment 4 commit-hook freebsd_committer 2015-02-15 21:46:47 UTC
A commit references this bug:

Author: pgj
Date: Sun Feb 15 21:45:54 UTC 2015
New revision: 379051
URL: https://svnweb.freebsd.org/changeset/ports/379051

Log:
  Add new port: devel/hs-ShellCheck

  The goals of ShellCheck are:

   * To point out and clarify typical beginner's syntax issues, that causes
     a shell to give cryptic error messages.

   * To point out and clarify typical intermediate level semantic problems,
     that causes a shell to behave strangely and counter-intuitively.

   * To point out subtle caveats, corner cases and pitfalls, that may cause
     an advanced user's otherwise working script to fail under future
     circumstances.

  WWW: http://www.shellcheck.net/

  PR:		197302
  Submitted by:	luca.pizzamiglio@gmail.com
  Obtained from:	FreeBSD Haskell

Changes:
  head/devel/hs-ShellCheck/
  head/devel/hs-ShellCheck/Makefile
  head/devel/hs-ShellCheck/distinfo
  head/devel/hs-ShellCheck/files/
  head/devel/hs-ShellCheck/files/patch-ShellCheck.cabal
  head/devel/hs-ShellCheck/pkg-descr
  head/lang/ghc/bsd.hackage.mk
Comment 5 Gabor Pali freebsd_committer 2015-02-15 21:52:16 UTC
The ports has been committed to the tree with some modifications.  Thank you for your submission!